diff --git a/corefreqd.c b/corefreqd.c
index ee00ca7..c9c7e2b 100644
--- a/corefreqd.c
+++ b/corefreqd.c
@@ -3706,8 +3706,8 @@ REASON_CODE Core_Manager(REF *Ref)
 		break;
 	    }
 		/* Tasks collection: Update OS tasks and memory usage.	*/
-#if FEAT_DBG > 0
-	    if (BITWISEAND(LOCKLESS, Shm->SysGate.Operation, 0x1)) {
+	    if (BITWISEAND(LOCKLESS, Shm->SysGate.Operation, 0x1))
+	    {
 		Shm->SysGate.tickStep = Proc->tickStep;
 		if (Shm->SysGate.tickStep == Shm->SysGate.tickReset) {
 		    if (SysGate_OnDemand(Ref, 1) == 0) {
@@ -3725,28 +3725,6 @@ REASON_CODE Core_Manager(REF *Ref)
 		    }
 		}
 	    }
-#else
-	    if (BITWISEAND(LOCKLESS, Shm->SysGate.Operation, 0x1)) {
-		Shm->SysGate.tickStep = Proc->tickStep;
-		if (Shm->SysGate.tickStep == Shm->SysGate.tickReset) {
-		    if (SysGate_OnDemand(Ref, 1) == 0) {
-			if (ioctl(Ref->fd->Drv, COREFREQ_IOCTL_SYSUPDT) == 0) {
-				SysGate_Update(Ref);
-			}
-		    }
-		    if (BITVAL(Proc->OS.Signal, 63)) {
-			BITCLR(BUS_LOCK, Proc->OS.Signal, 63);
-
-			UpdateFeatures(Ref);
-			if (!BITVAL(Ref->Shm->Proc.Sync, 63))
-				BITSET(LOCKLESS, Ref->Shm->Proc.Sync, 63);
-
-			if (Quiet & 0x100)
-				printf("  CoreFreq: Resume\n");
-		    }
-		}
-	    }
-#endif
 		/* Notify Client.					*/
 		BITSET(LOCKLESS, Shm->Proc.Sync, 0);
 	}
diff --git a/corefreqk.c b/corefreqk.c
index f466502..fca49a7 100644
--- a/corefreqk.c
+++ b/corefreqk.c
@@ -5300,9 +5300,8 @@ void Sys_MemInfo(SYSGATE *SysGate)
 	SysGate->memInfo.freehigh  = info.freehigh  << (PAGE_SHIFT - 10);
 }
 
-#if FEAT_DBG > 0
-    #define Sys_Tick(Pkg)					\
-    ({								\
+#define Sys_Tick(Pkg)						\
+({								\
 	if (Pkg->OS.Gate != NULL) {				\
 		Pkg->tickStep--;				\
 		if (!Pkg->tickStep) {				\
@@ -5311,18 +5310,7 @@ void Sys_MemInfo(SYSGATE *SysGate)
 			Sys_MemInfo(Pkg->OS.Gate);		\
 		}						\
 	}							\
-    })
-#else
-    #define Sys_Tick(Pkg)					\
-    ({								\
-	if (Pkg->OS.Gate != NULL) {				\
-		Pkg->tickStep--;				\
-		if (!Pkg->tickStep) {				\
-			Pkg->tickStep = Pkg->tickReset ;	\
-		}						\
-	}							\
-    })
-#endif
+})
 
 static void InitTimer(void *Cycle_Function)
 {
diff --git a/coretypes.h b/coretypes.h
index 5790ba2..f07bc7f 100644
--- a/coretypes.h
+++ b/coretypes.h
@@ -4,7 +4,7 @@
  * Licenses: GPL2
  */
 
-#define COREFREQ_VERSION	"1.55.0"
+#define COREFREQ_VERSION	"1.55.1"
 
 enum {	GenuineIntel,
 	Core_Yonah,
